"use strict";
const common_vendor = require("../../common/vendor.js");
const _sfc_main = {
  __name: "change",
  setup(__props) {
    common_vendor.onLoad(() => {
    });
    const list = common_vendor.ref([
      { id: 1, name: "张三", number: "26105615262", isCheck: false },
      { id: 2, name: "李四", number: "26105615262", isCheck: false },
      { id: 3, name: "王五", number: "26105615262", isCheck: false }
    ]);
    const change = (item) => {
      list.value.forEach((ele) => {
        ele.isCheck = false;
      });
      item.isCheck = !item.isCheck;
    };
    return (_ctx, _cache) => {
      return {
        a: common_vendor.f(list.value, (item, k0, i0) => {
          return {
            a: item.isCheck,
            b: common_vendor.t(item.name),
            c: common_vendor.t(item.number),
            d: item.id,
            e: common_vendor.o(($event) => change(item), item.id)
          };
        })
      };
    };
  }
};
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-7835c6a4"], ["__file", "E:/workSpace/WanZai_School_app/pages/change/change.vue"]]);
wx.createPage(MiniProgramPage);
